#include <bits/stdc++.h>
using namespace std;
int ucitaj()
	{
		bool minus=false;
		int rez=0;
		char ch;
		ch=getchar();
		while (true)
		{
			if (ch=='-') break;
			if (ch>='0' or ch<='9')break;
			ch=getchar();
		}
		if (ch=='-') minus=true; else rez=(ch-'0');
		while (true)
		{
			ch=getchar();
			if (ch<'0' or ch>'9') break;
			rez=rez*10+(ch-'0');
		}
		if (minus)
		{
			return -rez;
		}
		else
		{
			return rez;
		}
	}
	int apss(int x,int y)
	{
		if (x<y) return y-x;
		else return x-y;
	 }
int main()
{
	int n,m,x,y,i,A[100002];
	unsigned long long int sp,sn;
	sp=0;
	sn=0;
	n=ucitaj();
	m=ucitaj();
	for (i=1;i<=n;i++)
	{
		A[i]=ucitaj();
	}
	for (i=0;i<m;i++)
	{
		x=ucitaj();
		y=ucitaj();
		if (A[x]+A[y]>(-A[x]-A[y])) //s=s+A[x]+A[y];
		{
			if (A[x]+A[y]>=0) sp=sp+A[x]+A[y];
			else sn=sn+apss(A[x],A[y]);
		}                                       
		else //s=s-A[x]-A[y];
		{
			if ((-A[x]-A[y])>=0) sp=sp-A[x]-A[y];
			else sn=sn+apss(-A[x],-A[y]);
		}
	}
	if (sp>=sn) cout<<sp-sn;
	else cout<<"-"<<sn-sp;
}